# ScriptRunner Connect Managed API for Generic Connection
Managed API for [Generic Connector](https://docs.adaptavist.com/src/workspaces/api-connections/generic-connector) by [Adaptavist](https://www.adaptavist.com/). You can read more about Managed APIs [here](https://docs.adaptavist.com/src/managed-apis).

This is [ScriptRunner Connect](https://scriptrunnerconnect.com) runtime specific version of the Managed API (with `sr-connect` suffix). If you want to use Managed API in any other runtime, have a look at the [runtime agnostic version](https://www.npmjs.com/package/@managed-api/generic-core).

# Supported API calls
- [fetch](https://docs.adaptavist.com/src/managed-apis/managed-api-abstractions)

# Constructing Managed API
In ScriptRunner Connect a Managed API is constructed for you, but if you need to construct it manually, here's how you can do it:
```typescript
import { GenericAppApi } from '@managed-api/generic-sr-connect';

export default async function() {
    const api = new GenericAppApi('API_CONNECTION_ID');
}
```

# Contact
Feel free to drop ideas, suggestions or improvements into our [Community hub](https://loop.scriptrunnerhq.com/c/integration-forum).

# Changelog
- 1.4.0
    - Removed non-empty body from HEAD requests.
    
Copyright Adaptavist 2022 (c) All rights reserved